<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>cacp-spring-boot-parent</artifactId>
        <groupId>cn.gov.customs.cacp</groupId>
        <version>2024.0.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>wxjy-wxjy-service</artifactId>
    <description>危险品检验辅助后端</description>

    <dependencies>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-service-spring-boot-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-datasource-spring-boot-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <!-- cacp -->
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-audit-sdk</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>cn.gov.customs.cus4a</groupId>
                    <artifactId>open-api-native-sdk</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-auth-sdk</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-counter-sdk</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-document-sdk</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-file-service-sdk</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-frame-api-sdk</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-heai-sdk</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-hgid-sdk</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-holiday-sdk</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-message-sdk</artifactId>
            <version>2024.0.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-redisson-sdk</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-enhance-storage-sdk</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-enhance-accessory-sdk</artifactId>
            <version>${revision}</version>
        </dependency>

        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-enhance-audit-sdk</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-enhance-counter-sdk</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-enhance-holiday-sdk</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-enhance-workflow-full-sdk</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-enhance-heai-sdk</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>cn.gov.customs.cacp</groupId>
            <artifactId>cacp-enhance-form-sdk</artifactId>
            <version>${revision}</version>
        </dependency>
        <!-- Maven 依赖 -->
        <dependency>
            <groupId>com.ibm.mq</groupId>
            <artifactId>mq-jms-spring-boot-starter</artifactId>
            <version>2.7.18</version>
        </dependency>

        <!-- 或者具体的 IBM MQ 客户端 -->
        <dependency>
            <groupId>com.ibm.mq</groupId>
            <artifactId>com.ibm.mq.allclient</artifactId>
            <version>9.0.4.0</version>
        </dependency>

        <!-- dm -->
        <dependency>
            <groupId>com.dameng</groupId>
            <artifactId>DmJdbcDriver18</artifactId>
        </dependency>

        <!-- 阿里JSON解析器 -->
        <dependency>
            <groupId>com.alibaba.fastjson2</groupId>
            <artifactId>fastjson2</artifactId>
            <version>2.0.43</version>
        </dependency>

        <!-- swagger-ui -->
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger-ui</artifactId>
            <version>2.10.5</version>
        </dependency>

        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>easyexcel</artifactId>
            <version>4.0.3</version>
        </dependency>

        <dependency>
            <groupId>org.apache.velocity</groupId>
            <artifactId>velocity-engine-core</artifactId>
            <version>2.3</version>
        </dependency>
        <!-- 阿里数据库连接池 -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid-spring-boot-starter</artifactId>
            <version>1.2.23</version>
        </dependency>
    </dependencies>


    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
        </plugins>
    </build>

</project>